BEGIN ~OTHO~

IF ~PartyHasItem("CULTR01")
~ THEN BEGIN 0
  SAY @0
  IF ~~ THEN REPLY @1 GOTO 1
END

IF ~~ THEN BEGIN 1
  SAY @2
  IF ~~ THEN DO ~TakePartyItem("CULTR01")
SetGlobalTimer("MakeMace","GLOBAL",FIVE_DAYS)
SetGlobal("OthoMace","GLOBAL",1)
~ JOURNAL @3 EXIT
END

IF ~GlobalTimerExpired("MakeMace","GLOBAL")
Global("OthoMace","GLOBAL",1)
~ THEN BEGIN 2
  SAY @4
  IF ~~ THEN DO ~GiveItem("CUMACE01",LastTalkedToBy)
SetGlobal("OthoMace","GLOBAL",2)
~ JOURNAL @5 EXIT
END

IF ~!GlobalTimerExpired("MakeMace","GLOBAL")
Global("OthoMace","GLOBAL",1)
~ THEN BEGIN 3
  SAY @6
  IF ~~ THEN EXIT
END

IF ~Global("OthoMace","GLOBAL",0)
~ THEN BEGIN 4
  SAY @0
  IF ~~ THEN EXIT
END

IF ~StateCheck(Myself,STATE_CHARMED)
~ THEN BEGIN 5
  SAY @7
  IF ~~ THEN EXIT
END

IF ~Global("OthoMace","GLOBAL",2)
~ THEN BEGIN 6
  SAY @8
  IF ~~ THEN REPLY @9  GOTO 7
END

IF ~~ THEN BEGIN 7
  SAY @10
  IF ~~ THEN EXIT
END
